// Code generated by mockery v2.9.4. DO NOT EDIT.

package datamock

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	data "gitlab.com/my-group322/pictures/auth-svc/internal/data"
)

// RecoveryTokensQCloner is an autogenerated mock type for the RecoveryTokensQCloner type
type RecoveryTokensQCloner struct {
	mock.Mock
}

// Clone provides a mock function with given fields: ctx
func (_m *RecoveryTokensQCloner) Clone(ctx context.Context) data.RecoveryTokensQ {
	ret := _m.Called(ctx)

	var r0 data.RecoveryTokensQ
	if rf, ok := ret.Get(0).(func(context.Context) data.RecoveryTokensQ); ok {
		r0 = rf(ctx)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(data.RecoveryTokensQ)
		}
	}

	return r0
}
